{"openapi":"3.0.4","info":{"title":"Get a Task","version":"0.0.1"},"servers":[{"url":"https://fbn-prd.lusid.com/workflow"}],"paths":{"/api/tasks/{id}":{"get":{"tags":["Tasks"],"summary":"Get a Task","operationId":"GetTask","parameters":[{"name":"id","in":"path","description":"Id of the Task to retrieve","required":true,"schema":{"maxLength":36,"minLength":36,"pattern":"^[a-zA-Z0-9\\-]+$","type":"string"}},{"name":"asAt","in":"query","description":"The asAt datetime at which to retrieve the Task. Defaults to returning the latest version of the Task if not specified.","schema":{"type":"string","format":"date-time"},"x-nullable":true}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"/docs/api/workflow/schemas.json#/components/schemas/Task"},"example":{"id":"4aa4b4e1-866a-493e-8d33-51f9e47a0843","taskDefinitionId":{"scope":"A1","code":"ZZZ"},"taskDefinitionVersion":{"asAtModified":"0001-01-01T00:00:00.0000000+00:00"},"taskDefinitionDisplayName":"Test Definition","state":"foo","ultimateParentTask":{"id":"4aa4b4e1-866a-493e-8d33-51f9e47a0843","taskDefinitionId":{"scope":"A1","code":"ZZZ"},"taskDefinitionVersion":{"asAtModified":"0001-01-01T00:00:00.0000000+00:00"},"taskDefinitionDisplayName":"Test Definition","state":"foo"},"correlationIds":["correlation-id"],"terminalState":false,"asAtLastTransition":"2022-01-01T01:02:03.0000000+00:00"}}}},"400":{"description":"The details of the input related failure","content":{"application/json":{"schema":{"$ref":"/docs/api/workflow/schemas.json#/components/schemas/LusidValidationProblemDetails"}}}},"404":{"description":"Task not found.","content":{"application/json":{"schema":{"type":"string"}}}},"default":{"description":"Error response","content":{"application/json":{"schema":{"$ref":"/docs/api/workflow/schemas.json#/components/schemas/LusidProblemDetails"}}}}},"security":[{"BearerAuth":[]}],"x-fbn-apistatus":"Stable"}}},"components":{"securitySchemes":{"BearerAuth":{"type":"http","scheme":"bearer"}}}}